%global sname tripleo-ui

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%{?dlrn: %global tarsources %{sname}-%{upstream_version}}
%{!?dlrn: %global tarsources package}

Name:           openstack-%{sname}
Version:        7.4.3
Release:        4%{?dist}
Summary:        TripleO UI --- GUI for the TripleO project
License:        ASL 2.0
URL:            http://tripleo.org
# Source0 is created by running "npm pack"
Source0:        http://tarballs.openstack.org/tripleo-ui/tripleo-ui-%{upstream_version}.tar.gz
Source1:        tripleo-ui.conf

# patches_ignore=DROP-IN-RPM
# patches_base=7.4.3
Patch0001: 0001-Imported-Translations-from-Zanata.patch
Patch0002: 0002-Exclude-outdated-validation-results-from-list.patch
Patch0003: 0003-Fetch-stacks-only-when-current-plan-changes.patch
Patch0004: 0004-Downstream-Brand-for-TripleO-UI-OSP11-Ocata.patch
Patch0005: 0005-Downstream-brand-for-Red-Hat-OpenStack-Director-12.patch
Patch0006: 0006-Improve-node-count-indicator-in-roles-step.patch
Patch0007: 0007-Fix-Validations-progress.patch

BuildRequires:  nodejs
BuildRequires:  git
BuildRequires:  %{name}-deps >= 7
BuildArch:      noarch

%description

%prep
%autosetup -n %{tarsources} -S git

%build
rm -rf node_modules
ln -s /opt/%{name}-deps/node_modules .
npm run build

%install
mkdir -p %{buildroot}/%{_datadir}/%{name}
mkdir -p %{buildroot}/var/www/%{name}
mkdir -p %{buildroot}/etc/httpd/conf.d/
cp -rf dist %{buildroot}/var/www/%{name}/
cp -rf %{SOURCE1} %{buildroot}/etc/httpd/conf.d/%{name}.conf

%files
%{_localstatedir}/www/%{name}
%config(noreplace)  %{_sysconfdir}/httpd/conf.d/%{name}.conf
%license LICENSE
%doc README.md

%changelog
* Thu Nov 16 2017 “Beth <belwell@redhat.com> 7.4.3-4
- Merge "Improve node count indicator in roles step" into rhos-12.0-patches
- Fix Validations progress (rhbz#1512556)
- Improve node count indicator in roles step (rhbz#1490963)

* Mon Nov 13 2017 Thierry Vignaud <tvignaud@redhat.com> 7.4.3-3
- Exclude outdated validation results from list
- Imported Translations from Zanata

* Tue Nov 07 2017 Jon Schlueter <jschluet@redhat.com> 7.4.3-2
- Fetch stacks only when current plan changes (rhbz#1510483)

* Tue Nov 07 2017 Jon Schlueter <jschluet@redhat.com> 7.4.3-1
- Update to 7.4.3

* Wed Nov 01 2017 Jon Schlueter <jschluet@redhat.com> 7.4.2-2
- Downstream brand for Red Hat OpenStack Director 12
- Downstream Brand for TripleO-UI OSP11/Ocata
- Imported Translations from Zanata
- Prepare tripleo-ui 7.4.3
- Imported Translations from Zanata
- Merge "Listen for messages from internal introspect workflow" into stable/pike
- Merge "Add notification message to nodes tagging dialog" into stable/pike
- Add notification message to nodes tagging dialog
- Fix ParameterInput component
- Validate extension for tarballs on plan create/update
- Listen for messages from internal introspect workflow
- Add IDs and classes to Nodes page

* Tue Oct 10 2017 rdo-trunk <javier.pena@redhat.com> 7.4.2-1
- Update to 7.4.2

* Wed Oct 04 2017 rdo-trunk <javier.pena@redhat.com> 7.4.1-1
- Update to 7.4.1

* Sun Sep 10 2017 rdo-trunk <javier.pena@redhat.com> 7.4.0-1
- Update to 7.4.0

* Fri Aug 25 2017 Alfredo Moralejo <amoralej@redhat.com> 7.3.0-1
- Update to 7.3.0

